<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelRequiredFields StructType
 * @subpackage Structs
 */
class JP_HotelRequiredFields extends AbstractStructBase
{
    /**
     * The HotelBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelBooking
     */
    public $HotelBooking;
    /**
     * Constructor method for JP_HotelRequiredFields
     * @uses JP_HotelRequiredFields::setHotelBooking()
     * @param \StructType\JP_HotelBooking $hotelBooking
     */
    public function __construct(\StructType\JP_HotelBooking $hotelBooking = null)
    {
        $this
            ->setHotelBooking($hotelBooking);
    }
    /**
     * Get HotelBooking value
     * @return \StructType\JP_HotelBooking|null
     */
    public function getHotelBooking()
    {
        return $this->HotelBooking;
    }
    /**
     * Set HotelBooking value
     * @param \StructType\JP_HotelBooking $hotelBooking
     * @return \StructType\JP_HotelRequiredFields
     */
    public function setHotelBooking(\StructType\JP_HotelBooking $hotelBooking = null)
    {
        $this->HotelBooking = $hotelBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
